unit modifyOrder;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons;

type
  TfrmModifyOrder = class(TForm)
    Label1: TLabel;
    edtPrice: TEdit;
    Label2: TLabel;
    edtSL: TEdit;
    Label3: TLabel;
    edtTP: TEdit;
    btnModifyOrder: TBitBtn;
    procedure btnModifyOrderClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmModifyOrder: TfrmModifyOrder;

implementation

{$R *.DFM}
uses MetaTraderAPI, main;

procedure TfrmModifyOrder.btnModifyOrderClick(Sender: TObject);
var error:integer;
    HSocket,order:integer;
    price,sl,tp:double;
begin
  HSocket:=main.frmMain.connect(main.server,main.port);
  error:=MTApi.Login(HSocket,main.login,main.password);
  if error<>RET_OK
  then ShowMessage(' .  : '+MTApi.GetErrorDescription(error));

  order:=StrToInt(main.frmMain.sgrOpenPositions.cells[0,main.frmMain.sgrOpenPositions.Selection.Top]); // 
  try
    price:=StrToFloat(edtPrice.text);
    sl:=StrToFloat(edtSL.Text);
    tp:=StrToFloat(edtTP.text);
    error:=MTApi.ModifyOrder(HSocket,order,price,sl,tp);
    if error <> RET_OK then ShowMessage('   .  : '+MTApi.GetErrorDescription(error))
    else ShowMessage(' ');
  except
    showMessage('    ');
  end;

  main.frmMain.disconnect(HSocket);

  close;
end;

end.
